import 'package:crackwatch/src/enum/sort_by.dart';
import 'package:http/http.dart' as http;
import 'model/crack.dart';
import 'model/game.dart';
import 'dart:convert';

class CrackWatch {
  static const String _baseUrl = 'http://api.crackwatch.com/api';

  Future<List<Game>> getGames(
      {int page = 0,
      String sortBy = SortBy.releaseDate,
      bool isSortInverted,
      bool isAAA,
      bool isReleased,
      bool isCracked}) async {
    var games = <Game>[];
    var url =
        '$_baseUrl/games?page=$page&sort_by=$sortBy&is_sort_inverted=$isSortInverted&is_aaa=$isAAA&is_released=$isReleased&is_cracked=$isCracked';
    var response = await http.get(url);

    if (response.statusCode == 200) {
      var body = json.decode(response.body);
      for (var game in body) {
        games.add(Game.fromJson(game));
      }

      return games;
    } else {
      throw Exception('Status code ${response.statusCode}');
    }
  }

  Future<List<Crack>> getCracks({int page = 0}) async {
    var cracks = <Crack>[];
    var url = '$_baseUrl/cracks?page=$page';
    var response = await http.get(url);

    if (response.statusCode == 200) {
      var body = json.decode(response.body);
      for (var crack in body) {
        cracks.add(Crack.fromJson(crack));
      }

      return cracks;
    } else {
      throw Exception('Status code ${response.statusCode}');
    }
  }
}
