class Game {
  String _id;
  bool _isAAA;
  int _nfosCount;
  int _commentsCount;
  int _followersCount;
  List<String> _protections;
  List<String> _versions;
  List<String> _groups;
  String _updatedAt;
  String _title;
  String _slug;
  String _releaseDate;
  String _image;
  String _imagePoster;
  String _url;

  String get id => _id;

  bool get isAAA => _isAAA;

  int get nFOsCount => _nfosCount;

  int get commentsCount => _commentsCount;

  int get followersCount => _followersCount;

  List<String> get protections => _protections;

  List<String> get versions => _versions;

  List<String> get groups => _groups;

  String get updatedAt => _updatedAt;

  String get title => _title;

  String get slug => _slug;

  String get releaseDate => _releaseDate;

  String get image => _image;

  String get imagePoster => _imagePoster;

  String get url => _url;

  Game(
      {String id,
      bool isAAA,
      int nFOsCount,
      int commentsCount,
      int followersCount,
      List<String> protections,
      List<String> versions,
      List<String> groups,
      String updatedAt,
      String title,
      String slug,
      String releaseDate,
      String image,
      String imagePoster,
      String url}) {
    _id = id;
    _isAAA = isAAA;
    _nfosCount = nFOsCount;
    _commentsCount = commentsCount;
    _followersCount = followersCount;
    _protections = protections;
    _versions = versions;
    _groups = groups;
    _updatedAt = updatedAt;
    _title = title;
    _slug = slug;
    _releaseDate = releaseDate;
    _image = image;
    _imagePoster = imagePoster;
    _url = url;
  }

  Game.fromJson(dynamic json) {
    _id = json['_id'];
    _isAAA = json['isAAA'];
    _nfosCount = json['NFOsCount'];
    _commentsCount = json['commentsCount'];
    _followersCount = json['followersCount'];
    _protections = json['protections'].cast<String>();
    _versions = json['versions'].cast<String>();
    _groups = json['groups'].cast<String>();
    _updatedAt = json['updatedAt'];
    _title = json['title'];
    _slug = json['slug'];
    _releaseDate = json['releaseDate'];
    _image = json['image'];
    _imagePoster = json['imagePoster'];
    _url = json['url'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['_id'] = _id;
    map['isAAA'] = _isAAA;
    map['NFOsCount'] = _nfosCount;
    map['commentsCount'] = _commentsCount;
    map['followersCount'] = _followersCount;
    map['protections'] = _protections;
    map['versions'] = _versions;
    map['groups'] = _groups;
    map['updatedAt'] = _updatedAt;
    map['title'] = _title;
    map['slug'] = _slug;
    map['releaseDate'] = _releaseDate;
    map['image'] = _image;
    map['imagePoster'] = _imagePoster;
    map['url'] = _url;
    return map;
  }

  @override
  String toString() {
    return '''
_id: $_id
isAAA: $_isAAA                    
NFOsCount: $_nfosCount              
commentsCount: $_commentsCount  
followersCount: $_followersCount 
protections: $_protections    
versions: $_versions       
groups: $_groups         
updatedAt: $_updatedAt      
title: $_title          
slug: $_slug           
releaseDate: $_releaseDate    
image: $_image          
imagePoster: $_imagePoster    
url: $_url
''';
  }
}
